"""
#######################################################################
#
# Licensed Materials - Property of Pipelinefx L.L.C.
#
#
# (C) COPYRIGHT Pipelinefx Limited Liability Corporation.
#  All Rights Reserved.
#                               
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with 
#  Pipelinefx L.L.C.
#
#
# Qube UI Plugin 'API'
#
# Name: qbUIPluginAPI.py
#
# $DateTime: 2012/04/19 11:56:30 $
# $Revision: #1 $
# $Change: 45 $
# $Id: //depot/main/qubeqtgui/model/qbUIPluginAPI.py#1 $
# $File: //depot/main/qubeqtgui/model/qbUIPluginAPI.py $
#
# Written by: Brian Knudson / PFX
#             briank@pipelinefx.com
#             2011-10-13
#
# Description:
#  Plugin intermediary - allows for communication back and forth between
#  plugins and the UI.  Plugins get a reference to this class upon
#  construction.  The UI updates this class when the user clicks around.
#
#
#######################################################################
"""

class QbUIPluginAPI(object):

    def __init__(self):
        self.__selectedJobs = []
        self.__selectedFrames = []
        self.__selectedHosts = []
        self.__selectedSubjobs = []

    def getSelectedJobs(self):
        return self.__selectedJobs

    def setSelectedJobs(self,jobs):
        self.__selectedJobs = jobs

    def getSelectedFrames(self):
        return self.__selectedFrames

    def setSelectedFrames(self,frames):
        self.__selectedFrames = frames

    def getSelectedHosts(self):
        return self.__selectedHosts

    def setSelectedHosts(self,hosts):
        self.__selectedHosts = hosts

    def getSelectedSubjobs(self):
        return self.__selectedSubjobs

    def setSelectedSubjobs(self,cpus):
        self.__selectedSubjobs = cpus

    def getPlugins(self):
        return self.__qubeArtistViewPlugins



